Threat Encyclopedia

SolarWinds.Orion.PM.WSAsyncExecuteTasks.Deserialization

description-logoDescription

This indicates an attack attempt to exploit an Insecure Deserialization Vulnerability in SolarWinds Patch Manager.
The vulnerability is due to insufficient validation of user-supplied JSON data submitted to the WSAsyncExecuteTasks.aspx endpoint. A remote, authenticated attacker can exploit this vulnerability by sending a crafted request to the target system. Successful exploitation results in remote code execution under the security context of NETWORK SERVICE.

affected-products-logoAffected Products

SolarWinds Patch Manager 2020.2.5 and earlier

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

recomended-action-logoRecommended Actions

Apply the most recent upgrade or patch from the vendor.
https://www.solarwinds.com/trust-center/security-advisories/cve-2021-35217

CVE References

CVE-2021-35217